Skip to main content
DELETE
/
v2
/
accounts
/
{account_id}
/
sub-accounts
/
{sub_account_id}
AhaSend Go SDK
package main

import (
  "context"
  "fmt"
  "log"

  "github.com/AhaSend/ahasend-go/api"
  "github.com/google/uuid"
)

func main() {
  // Create API client with authentication
  client := api.NewAPIClient(
    api.WithAPIKey("aha-sk-your-64-character-key"),
  )

  accountID := uuid.New()
  subAccountID := uuid.New()

  // Create context for the API call
  ctx := context.Background()

  // Soft-delete the sub account
  response, httpResp, err := client.SubAccountsAPI.DeleteSubAccount(ctx, accountID, subAccountID)
  if err != nil {
    log.Fatalf("Error deleting sub account: %v", err)
  }

  if httpResp.StatusCode == 200 {
    fmt.Printf("✅ Sub account deleted! Status: %d\n", httpResp.StatusCode)
    if response != nil && response.Message != "" {
      fmt.Printf("Response: %s\n", response.Message)
    }
  } else {
    fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
  }
}
{
  "message": "sub account deleted"
}
Platform Partner feature: Sub Accounts is part of our Platform Partner capabilities and is currently in early access. Contact us to enable it on your account.

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

account_id
string<uuid>
required

Parent account ID

sub_account_id
string<uuid>
required

Sub account ID

Response

Sub account deleted successfully

message
string
required

Success message